# Uses of Interface
org.apache.velocity.util.introspection.TypeConversionHandler

Packages that use TypeConversionHandler
Package
Description
org.apache.velocity.util.introspection

## Uses of TypeConversionHandler in org.apache.velocity.util.introspection

Classes in org.apache.velocity.util.introspection that implement TypeConversionHandler
Modifier and Type
Class
Description
`class`
`TypeConversionHandlerImpl`
A conversion handler adds admissible conversions between Java types whenever Velocity introspection has to map VTL methods and property accessors to Java methods.
Fields in org.apache.velocity.util.introspection declared as TypeConversionHandler
Modifier and Type
Field
Description
`protected TypeConversionHandler`
UberspectImpl.`conversionHandler`
the conversion handler
Methods in org.apache.velocity.util.introspection that return TypeConversionHandler
Modifier and Type
Method
Description
`TypeConversionHandler`
UberspectImpl.`getConversionHandler()`
Constructors in org.apache.velocity.util.introspection with parameters of type TypeConversionHandler
Modifier
Constructor
Description
``
`ClassMap(Class<?> clazz, org.slf4j.Logger log, TypeConversionHandler conversionHandler)`
Standard constructor
``
`Introspector(org.slf4j.Logger log, TypeConversionHandler conversionHandler)`
`protected`
`IntrospectorBase(org.slf4j.Logger log, TypeConversionHandler conversionHandler)`
C'tor.
``
`IntrospectorCache(org.slf4j.Logger log, TypeConversionHandler conversionHandler)`
C'tor
``
`MethodMap(TypeConversionHandler conversionHandler)`
Constructor with provided conversion handler